//
//  UINavigationBar+WHBKNavBar.h
//  NavigationTool
//
//  Created by paykee on 16/6/18.
//  Copyright © 2016年 jpy. All rights reserved.
//

#import <UIKit/UIKit.h>
#include <objc/runtime.h>

@interface UINavigationBar (WHBKNavBar)

/**
 *  设置导航栏的属性，所谓的设置实质就是替换，盖一张View在导航栏最上层
 *
 *  @param navBarBackgroundColor  导航栏的背景颜色
 *  @param titleAttribute         导航栏标题的属性
 *  @param barButtonItemAttribute 导航栏BtnItem的属性
 */
-(void)setNavBarBackgroundColor:(UIColor *)navBarBackgroundColor andTitleAttribute:(NSDictionary *)titleAttribute andBarButtonItemAttribute:(NSDictionary *)barButtonItemAttribute;

@end
